summaryrefslogtreecommitdiffstats
path: root/debian/radosgw.prerm
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 18:24:29 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 18:24:29 +0000
commitdf4528d6668ab18e40584fe540355bdfba0fb6dd (patch)
treef1bfdcb6485edff853369405dd5423c662c47345 /debian/radosgw.prerm
parentAdding upstream version 14.2.21. (diff)
downloadceph-df4528d6668ab18e40584fe540355bdfba0fb6dd.tar.xz
ceph-df4528d6668ab18e40584fe540355bdfba0fb6dd.zip
Adding debian version 14.2.21-1.debian/14.2.21-1debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to '')
-rw-r--r--debian/radosgw.prerm22
1 files changed, 22 insertions, 0 deletions
diff --git a/debian/radosgw.prerm b/debian/radosgw.prerm
new file mode 100644
index 00000000..0288ab77
--- /dev/null
+++ b/debian/radosgw.prerm
@@ -0,0 +1,22 @@
+#!/bin/sh
+# vim: set noet ts=8:
+
+set -e
+
+case "$1" in
+ remove)
+ invoke-rc.d radosgw stop || {
+ RESULT=$?
+ if [ $RESULT != 100 ]; then
+ exit $RESULT
+ fi
+ }
+ ;;
+
+ *)
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0